Loading...
Searching...
No Matches
compute_bin_size.cpp File Reference

Implements raptor::compute_bin_size and raptor::max_bin_count. More...

`#include <seqan3/search/views/minimiser_hash.hpp>`
`#include <raptor/adjust_seed.hpp>`
`#include <raptor/argument_parsing/compute_bin_size.hpp>`
`#include <raptor/build/hibf/bin_size_in_bits.hpp>`
`#include <raptor/call_parallel_on_bins.hpp>`
`#include <raptor/dna4_traits.hpp>`
`#include <raptor/file_reader.hpp>`

## Functions

size_t | raptor::compute_bin_size (raptor::build_arguments const &arguments)
size_t | raptor::detail::kmer_count_from_minimiser_files (std::vector< std::vector< std::string > > const &bin_path, uint8_t const threads)
size_t | raptor::detail::kmer_count_from_sequence_files (std::vector< std::vector< std::string > > const &bin_path, uint8_t const threads, seqan3::shape const &shape, uint32_t const window_size)
size_t | raptor::max_bin_count (upgrade_arguments const &arguments)

## Detailed Description

Implements raptor::compute_bin_size and raptor::max_bin_count.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>